FlatFileNameMapper (Apache Ant API)
Keywords: org.apache.tools.ant.util.FlatFileNameMapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class FlatFileNameMapper

    java.lang.Object
      org.apache.tools.ant.util.FlatFileNameMapper

All Implemented Interfaces:
  FileNameMapper

    public class FlatFileNameMapper

extends java.lang.Object
implements FileNameMapper

Implementation of FileNameMapper that always returns the source file name without any leading directory information.

This is the default FileNameMapper for the copy and move tasks if the flatten attribute has been set.

Constructor Summary
`FlatFileNameMapper()`

Method Summary
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Returns an one-element array containing the source file name without any leading directory information.
`void` | `setFrom(java.lang.String from)` Ignored.
`void` | `setTo(java.lang.String to)` Ignored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileNameMapper

    public FlatFileNameMapper()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  Ignored.

  Specified by:
    `setFrom` in interface `FileNameMapper`
  Parameters:
    `from` - ignored.

### setTo

    public void setTo(java.lang.String to)

  Ignored.

  Specified by:
    `setTo` in interface `FileNameMapper`
  Parameters:
    `to` - ignored.

### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Returns an one-element array containing the source file name without any leading directory information.

  Specified by:
    `mapFileName` in interface `FileNameMapper`
  Parameters:
    `sourceFileName` - the name to map.
  Returns:
    the file name in a one-element array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD